# Get account balances Endpoint: GET /accounts/{id}/balances Version: 1.0.0 Security: Api access ## Path parameters: - `id` (string, required) The id of the account. Example: "3dc3d5b3-7023-4848-9853-f5400a64e81f" ## Query parameters: - `dateFrom` (string) Starting date (inclusive) from which to return balances. - `cursor` (string) A reference to a specific page. - `type` (string) The type of balance to include, when not set all types will be returned. Enum: "closingBooked", "openingBooked", "expected", "interimAvailable", "interimBooked", "forwardAvailable", "nonInvoiced" ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU, it should only be set if this request was actively initiated by the PSU. Most operations have request limits that apply when a user is not present. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 200 fields (application/json): - `account` (object, required) Account reference - `account.iban` (null,string) IBAN of the account Example: "FR7612345987650123456789014" - `account.bban` (null,string) BBAN of the account - ISO 20022 Example: "BARC12345612345678" - `account.other` (object) Generic account reference. - `account.other.identification` (string, required) Account identification. Example: "123-1234" - `account.other.schemeName` (string, required) Name of the identification scheme. Example: * BBAN: Basic Bank Account Number. * BGNR: Bankgirot number. * PGNR: PlusGirot number. * giro: Giro Denmark. Example: "BGNR" - `account.currency` (null,string) Currency code - ISO 4217 Example: "EUR" - `account.pan` (null,string) Primary Account Number - ISO/IEC 7812 Example: "5409050000000000" - `account.maskedPan` (null,string) Masked Primary Account Number - ISO/IEC 7812 Example: "123456xxxxxx1234" - `account.msisdn` (null,string) Mobile phone number Example: "+491701234567" - `accountBalances` (array) List of account balances. - `accountBalances.balanceAmount` (object) Amount with currency - `accountBalances.balanceAmount.currency` (null,string) The three-letter currency code of the amount - ISO 4217 Example: "NOK" - `accountBalances.balanceAmount.amount` (null,string) The amount value. Negative amounts are signed by minus. The decimal separator is a dot. Example: * 0 * 154 * -1.75 * 349.7 * 3632.78 Example: "3632.78" - `accountBalances.balanceType` (string) The type of balance Enum: "closingBooked", "openingBooked", "expected", "interimAvailable", "interimBooked", "forwardAvailable", "nonInvoiced" - `accountBalances.referenceDate` (null,string) Indicates the date of the balance Example: "2020-01-01T13:00:00.999+00:00" - `accountBalances.lastChangeDate` (null,string) This indicates if the balance has changed, an account balance may change during one day. Example: "2020-01-01T13:00:00.999+00:00" - `_links` (object) Pagination links for navigating between pages of results. - `_links.next` (object) - `_links.next.href` (string) Url to a resource Example: "https://banking.aritma.io/api/resource?cursor=abc123" - `_links.next.verb` (string) Enum: "get", "post", "put", "delete" - `_links.previous` (object) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)